/*
 * TOFU Circuit Simulator
 * Copyright (C) 2007 Michael Birken
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
 * 
 * http://www.meatfighter.com/tofu
 */

package tofu;

import java.util.*;

public class Element {
  
  private String name;
  private List<String> parameters = new ArrayList<String>();
  private List<List<String>> subelements = new ArrayList<List<String>>();
  
  public void setName(String name) {
    this.name = name;
  }
  
  public void addParameters(String[] parameters, int startIndex) {
    for(int i = startIndex; i < parameters.length; i++) {
      this.parameters.add(parameters[i]);
    }
  }
  
  public List<String> getParameters() {
    return parameters;
  }
  
  public void addSubelement(List<String> subelement) {
    subelements.add(subelement);
  }
  
  public int addMoreParameters(List<String> parameters) {
    List<String> subelement = subelements.get(subelements.size() - 1);
    subelement.addAll(parameters);
    return subelement.size();
  }
  
  public String getName() {
    return name;
  }
  
  public List<List<String>> getSubelements() {
    return subelements;
  }
}
